Last Comment Bug 781749 - Wifi is not detecting networks on 8-10-2012 daily otoro
: Wifi is not detecting networks on 8-10-2012 daily otoro
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM All
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 23:56 PDT by Tony Chung [:tchung]
Modified: 2012-08-14 16:10 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+


Attachments

Description Tony Chung [:tchung] 2012-08-09 23:56:26 PDT
Wifi scanning no longer tries to scan any networks.  in fact, toggling the Wifi checkbox on the otoro shows nothing, and only this logcat.

08-10 06:42:50.644: E/GeckoConsole(106): [JavaScript Error: "NS_ERROR_FAILURE: Denied" {file: "jar:file:///system/b2g/omni.ja!/components/DOMWifiManager.js" line: 279}]
08-10 06:42:54.428: E/GeckoConsole(106): [JavaScript Error: "NS_ERROR_FAILURE: Denied" {file: "jar:file:///system/b2g/omni.ja!/components/DOMWifiManager.js" line: 285}]

This has regressed between the 8/8 and 8/9 daily build.   

Environment: 
- Otoro build, 2012-08-09 
-  <project name="fake-dalvik" path="dalvik" remote="b2g" revision="ca1f327d5acc198bb4be62fa51db2c039032c9ce"/>
  <project name="gaia" path="gaia" remote="b2g" revision="7fa1016a66c28feb6cb9aa6e524a69eb68a920f1"/>
  <project name="mozilla-central" path="gecko" remote="mozilla" revision="fb06ffecf07b9b536ae857a092bf42c8ffc1c01a"/>
  <project name="gonk-misc" path="gonk-misc" remote="b2g" revision="773ceab8795053694453841ac2c5dca2d039ffa6"/>
  <project name="rilproxy" path="rilproxy" remote="b2g" revision="32106d4ea635ebe17a1610b643b398db639b8b97"/>

Repro:
1) install daily otoro build 8-9-2012
2) launch settings > wifi
3) enable the wifi box
4) verify no networks are found.

Expected:
- enable wifi box, and see networks appear to choose from

Actual:
- no networks scanned
Comment 1 Gregor Wagner [:gwagner] 2012-08-10 00:02:29 PDT
I think that is fixed by https://github.com/mozilla-b2g/gaia/pull/3311
Comment 2 Tony Chung [:tchung] 2012-08-10 00:32:10 PDT
i meant the bug is on the 8-10-2012 nightly.
Comment 3 Tony Chung [:tchung] 2012-08-10 08:22:26 PDT
(In reply to Gregor Wagner [:gwagner] from comment #1)
> I think that is fixed by https://github.com/mozilla-b2g/gaia/pull/3311

Okay it is fixed if i build after the 3311 PR.   but please, Please! whoever regressed this, can you run tests before you check in fixes?   we have to cut down on these silly regressions.
Comment 4 Matt Brandt [:mbrandt] 2012-08-13 14:41:29 PDT
I'm on the Otoro, 2012-08-13, 08da9b140 build and wifi appears to not work (str in comment 0).

Has https://github.com/mozilla-b2g/gaia/pull/3311 landed on the nightly builds yet?
Comment 5 dclarke@mozilla.com [:onecyrenus] 2012-08-14 16:10:41 PDT
Changing to fixed / verified as todays build seems to work .

Note You need to log in before you can comment on or make changes to this bug.